Skip to main content
`Ctrl`+`K`

# DMFieldGetDegree

Get the polynomial degree of a field when pulled back onto the reference element

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldGetDegree(DMField field, IS cellIS, PeOp PetscInt *minDegree, PeOp PetscInt *maxDegree)

Not Collective

## Input Parameters

- field - the `DMField` object

- cellIS - the index set of points over which we want know the invariance

## Output Parameters

- minDegree - the degree of the largest polynomial space contained in the field on each element

- maxDegree - the largest degree of the smallest polynomial space containing the field on any element

## See Also

`DMField`, `IS`, `DMFieldEvaluateFE()`

## Level

intermediate

## Location

src/dm/field/interface/dmfield.c

## Implementations

DMFieldGetDegree_DA() in src/dm/field/impls/da/dmfieldda.c
DMFieldGetDegree_DS() in src/dm/field/impls/ds/dmfieldds.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages